com.holonplatform.jdbc.spring.boot.internal

## Class DataSourcesAutoConfigurationRegistrar

- java.lang.Object
- - com.holonplatform.jdbc.spring.boot.internal.DataSourcesAutoConfigurationRegistrar

- All Implemented Interfaces:
    org.springframework.beans.factory.Aware, org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.context.EnvironmentAware

      public class DataSourcesAutoConfigurationRegistrar
      extends Object
      implements org.springframework.context.annotation.ImportBeanDefinitionRegistrar, org.springframework.context.EnvironmentAware

  DataSource bean registrar using `DataSourcesAutoConfiguration` Spring boot auto-configuration.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourcesAutoConfigurationRegistrar()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata importingClassMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry registry)`
    `void` | `setEnvironment(org.springframework.core.env.Environment environment)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourcesAutoConfigurationRegistrar

          public DataSourcesAutoConfigurationRegistrar()

  - ### Method Detail

    - #### setEnvironment

          public void setEnvironment(org.springframework.core.env.Environment environment)

      Specified by:
        `setEnvironment` in interface `org.springframework.context.EnvironmentAware`

    - #### registerBeanDefinitions

          public void registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata importingClassMetadata,
                                              org.springframework.beans.factory.support.BeanDefinitionRegistry registry)

      Specified by:
        `registerBeanDefinitions` in interface `org.springframework.context.annotation.ImportBeanDefinitionRegistrar`

Copyright © 2019 The Holon Platform. All rights reserved.